definition:
  language:
    go:
      - name: "AWS SDK v1 (migrate)"
        prefix: "github.com/aws/aws-sdk-go/service/"
        provider: AWS_V1
      - name: "AWS SDK v2 (target)"
        prefix: "github.com/aws/aws-sdk-go-v2/service/"
        provider: AWS_V2
    java:
      - name: "AWS SDK for Java v1 (migrate)"
        prefix: "com.amazonaws.services."
        provider: AWS_V1
      - name: "AWS SDK for Java v2 (target)"
        prefix: "software.amazon.awssdk.services."
        provider: AWS_V2
      - name: "Legacy Spring Cloud AWS"
        prefix: "org.springframework.cloud.aws."
        provider: LEGACY
      - name: "Spring Cloud AWS (target)"
        prefix: "io.awspring.cloud."
        provider: TARGET
      - name: "javax namespace (migrate)"
        prefix: "javax."
        provider: JAVAX
        rule: "javax\\.(?<resource_group>[a-zA-Z0-9_.]+)\\.(?<operation>[a-zA-Z0-9_]+)"
      - name: "jakarta namespace (target)"
        prefix: "jakarta."
        provider: JAKARTA
        rule: "jakarta\\.(?<resource_group>[a-zA-Z0-9_.]+)\\.(?<operation>[a-zA-Z0-9_]+)"
    python:
      - name: "Boto3 (current AWS SDK)"
        prefix: "boto3."
        provider: AWS_V2
      - name: "Legacy boto (migrate)"
        prefix: "boto."
        provider: AWS_V1
        rule: "boto\\.(?<resource_group>[a-zA-Z0-9_]+)\\.(?<operation>[a-zA-Z0-9_]+)"

  providers:
    AWS_V1:
      servicenameMapping: {}
    AWS_V2:
      servicenameMapping: {}
    LEGACY:
      servicenameMapping: {}
    TARGET:
      servicenameMapping: {}
